Skip to content

Create Goal

POST
/api/writing/analytics/goals

Create a new writing goal.

CreateGoalBody

POST /analytics/goals body.

object
goalType
Goaltype
string
default: daily
targetWords
Targetwords
integer
default: 500
startDate
Any of:
string
endDate
Any of:
string

Successful Response

AnalyticsStatusResponse[WritingGoalResponse]
object
status
required
Status
string
message
required
Message
string
data
Any of:
WritingGoalResponse

A single writing goal.

object
goalId
required
Goalid
string
userId
Userid
string
""
goalType
Goaltype
string
""
targetWords
Targetwords
integer
0
currentWords
Currentwords
integer
0
startDate
Startdate
string
""
endDate
Enddate
string
""
isActive
Isactive
boolean
default: true
createdAt
Createdat
string
""
updatedAt
Updatedat
string
""

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object